GDB (xrefs)

Public Attributes | List of all members
recpy_element_object Struct Reference

`#include "py-record.h"`

## Public Attributes
PyObject_HEAD ptid_t | ptid
enum record_method | method
Py_ssize_t | number

## Detailed Description

Definition at line 42 of file py-record.h.

## Member Data Documentation

## ◆ method

enum record_method recpy_element_object::method

Definition at line 50 of file py-record.h.

Referenced by recpy_element_richcompare(), recpy_func_instructions(), recpy_func_level(), recpy_func_new(), recpy_func_next(), recpy_func_prev(), recpy_func_symbol(), recpy_func_up(), recpy_insn_data(), recpy_insn_decoded(), recpy_insn_is_speculative(), recpy_insn_new(), recpy_insn_pc(), recpy_insn_sal(), and recpy_insn_size().

## ◆ number

Py_ssize_t recpy_element_object::number

Definition at line 53 of file py-record.h.

Referenced by btpy_list_position(), btrace_func_from_recpy_func(), btrace_insn_from_recpy_insn(), recpy_bt_goto(), recpy_element_hash(), recpy_element_number(), recpy_element_richcompare(), recpy_func_new(), and recpy_insn_new().

## ◆ ptid

PyObject_HEAD ptid_t recpy_element_object::ptid

Definition at line 47 of file py-record.h.

Referenced by btpy_list_position(), btrace_func_from_recpy_func(), btrace_insn_from_recpy_insn(), recpy_element_richcompare(), recpy_func_new(), and recpy_insn_new().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/python/py-record.h